apply from: "${project.rootDir}/core.build.gradle"



android {
    namespace = "com.ama.core.architecture"
    buildFeatures {
        viewBinding = true
    }
}



dependencies {
    api(project(":core:common"))
    api(project(":core:designsystem"))
    api(project(":core:model"))
    api(libs.material)
    api(libs.appcompat)
    api(libs.lifecycle.viewmodel.ktx)
    api(libs.fragment.ktx)
    api(libs.retrofit.kotlin.serialization)
    api(libs.baseAdapter)
    api(libs.magicIndicator)
    api(libs.glide)
    api(libs.okhttp.logging)
    api(libs.kotlinx.serialization.json)
    //api(libs.multiDex)
    //api(libs.gson)
    api 'com.google.code.gson:gson:2.13.2'

    implementation(libs.startup)
    implementation 'org.jetbrains.kotlin:kotlin-stdlib:1.8.22'
    api 'io.github.pengxurui:modular-eventbus-api:1.0.5'
    api 'io.github.pengxurui:modular-eventbus-compiler:1.0.5'
    implementation project(':bill')
    api 'com.google.android.gms:play-services-ads-identifier:18.0.1'

}